Debian Bug report logs - #605777
kbdcontrol: Delete key does not delete the character to the right of the cursor

version graph

Package: kbdcontrol; Maintainer for kbdcontrol is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kbdcontrol is src:freebsd-utils.

Reported by: Modestas <modax@debian.org>

Date: Fri, 26 Nov 2010 21:54:01 UTC

Severity: serious

Tags: squeeze-ignore

Found in version 8.1+dfsg-7.1

Fixed in versions freebsd-utils/8.1-3, freebsd-utils/8.2+ds2-6

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Fri, 26 Nov 2010 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas <modax@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 26 Nov 2010 21:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Modestas <modax@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-8.1-1-amd64: Delete key does not delete the character to the right of the cursor
Date: Fri, 26 Nov 2010 23:24:03 +0200
Package: kfreebsd-image-8.1-1-amd64
Version: 8.1-5
Severity: serious
Justification: violates MUST directive of Debian Policy 9.8

Hello,

it seems that roles of <-- and Delete keys are somewhat reversed in the VTs of
kFreeBSD.  I was not able to get "Delete" key to "delete the character to the
right of the cursor" (citing chapter 9.8 of Debian Policy). It always deletes
the character to the left of the cursor. <-- deletes the char to the right in
vim (i.e. it acts like "Delete" should), but it behaves properly in the shell
prompt.

I reported this bug as RC because it clearly violates must of Debian policy
chapter 9.8 . It's also very annoying and breaks uniform feel of Debian on
kFreeBSD.

I reported a bug against kfreebsd kernel because I believe this bug lies
somewhere in tty/consio/syscons subsystems. However, I guess it would be possible to adjust keymaps instead.

P.S. It was a huge pain to write this bug report in VT of kfbsd because of this problem.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.1-1-amd64 depends on:
ii  freebsd-utils                 8.1-2+b1   FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-2+b1   tools for managing kFreeBSD module

kfreebsd-image-8.1-1-amd64 recommends no packages.

kfreebsd-image-8.1-1-amd64 suggests no packages.

-- no debconf information




Bug 605065 cloned as bug 605777. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-image-8.1-1-amd64' to 'kbdcontrol'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-8/8.1-5. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Fri, 03 Dec 2010 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 03 Dec 2010 12:57:03 GMT) Full text and rfc822 format available.

Message #16 received at 605777@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 605777@bugs.debian.org
Subject: Delete key does not delete the character to the right of the cursor
Date: Fri, 3 Dec 2010 13:54:57 +0100 (CET)
The keymap in kernel will be fixed and fkey61 will generate
the Debian defined sequence after next upload.

But also the files in /usr/share/syscons/keymaps/ have to be modified

backspace/scan code 14 -> should generate del (0x7F)
delete on numpad/scan code 83 -> should generate "."/"," and  fkey61 (ESC [ 3 ~)
delete/scan code 103  -> generate fkey61 (ESC [ 3 ~)

Currently:

      # scan                       cntrl          alt    alt   cntrl lock
      # code  base   shift  cntrl  shift  alt    shift  cntrl  shift state
      # ------------------------------------------------------------------

$ grep -e 014 * | cut -f2 -d: | sort | uniq -c
      1   014   bs      bs      del     del     bs      bs      del     del     O
      2   014   bs     bs     bs     bs     bs     bs     bs     bs      O
      6   014   bs     bs     del    del    136    136    255    255     O
      1   014   bs     bs     del    del    bs     bs     255    255     O
     83   014   bs     bs     del    del    bs     bs     del    del     O
      1   014   del    del    bs     bs     255    255    136    136     O
      1   014   del    del    bs     bs     del    del    bs     bs      O

$ grep -e 083 * | cut -f2 -d: | sort | uniq -c

      1   083   bs     '.'    '.'    '.'    '.'    '.'    boot   boot    N
      1   083   del     '.'     '.'     '.'     '.'     '.'     boot    boot    N
      5   083   del    ','    ','    ','    ','    ','    boot   boot    N
      3   083   del    ','    '.'    '.'    '.'    '.'    boot   boot    N
      1   083   del    '.'    ','    ','    del    ','    boot   boot    N
      3   083   del    '.'    '.'    '.'    ','    ','    boot   boot    N
     71   083   del    '.'    '.'    '.'    '.'    '.'    boot   boot    N
      5   083   del    '.'    '.'    '.'    174    174    boot   boot    N
      1   083   del    '.'    del    del    174    174    boot   boot    N
      2   083   fkey12 fkey24 fkey36 fkey48 scr12  scr12  scr12  scr12   O
      1   083   fkey54 '.'    del    del    255    255    boot   halt    N
      1   083   nop    '.'    '.'    '.'    174    174    174    174     N

$ grep -e 103 * | cut -f2 -d: | sort | uniq -c
      1   103   bs     bs     fkey61 fkey61 bs     bs     boot   boot    O
      1   103   del    del    del    del    del    del    boot   boot    O
      3   103   del    del    fkey81 del    fkey61 fkey61 boot   boot    O
      1   103   del    del    fkey81 del    fkey61 fkey61 boot   pdwn    O
      2   103   fkey06 fkey18 fkey30 fkey42 scr06  scr06  scr06  scr06   O
      1   103   fkey54 '5'    '5'    '5'    181    181    181    181     N
     84   103   fkey61 fkey61 fkey61 fkey61 fkey61 fkey61 boot   fkey61  O
      1   103   fkey61 fkey61 fkey61 fkey61 fkey61 fkey61 boot   pdwn    O





Changed Bug title to 'kbdcontrol: Delete key does not delete the character to the right of the cursor' from 'kfreebsd-image-8.1-1-amd64: Delete key does not delete the character to the right of the cursor' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 16:21:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 21:24:15 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 19 Dec 2010 23:03:05 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Sun, 19 Dec 2010 23:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 605777-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 605777-close@bugs.debian.org
Subject: Bug#605777: fixed in freebsd-utils 8.1-3
Date: Sun, 19 Dec 2010 23:02:15 +0000
Source: freebsd-utils
Source-Version: 8.1-3

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.1-3_kfreebsd-amd64.udeb
freebsd-net-tools_8.1-3_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.1-3_kfreebsd-amd64.deb
freebsd-utils-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.1-3_kfreebsd-amd64.udeb
freebsd-utils_8.1-3.diff.gz
  to main/f/freebsd-utils/freebsd-utils_8.1-3.diff.gz
freebsd-utils_8.1-3.dsc
  to main/f/freebsd-utils/freebsd-utils_8.1-3.dsc
freebsd-utils_8.1-3_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.1-3_kfreebsd-amd64.deb
kbdcontrol_8.1-3_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.1-3_kfreebsd-amd64.deb
kldutils-udeb_8.1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.1-3_kfreebsd-amd64.udeb
kldutils_8.1-3_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.1-3_kfreebsd-amd64.deb
vidcontrol_8.1-3_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_8.1-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Dec 2010 23:39:21 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools freebsd-net-tools-udeb
Architecture: source kfreebsd-amd64
Version: 8.1-3
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 600624 605777
Changes: 
 freebsd-utils (8.1-3) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Add Catalan Debconf translation from Jordi Mallach (closes:
     bug#600624).
   * Add 032_delete_key.diff to conform to Debian Policy,
     9.8 Keyboard configuration. Closes: #605777.
Checksums-Sha1: 
 b7b565b26a5e343e79de7d0af6d0da7fe237d480 1670 freebsd-utils_8.1-3.dsc
 405c4ac44e56257add352c8e45e68eb49fd13057 77275 freebsd-utils_8.1-3.diff.gz
 381dc8caaf7cdb796a6a5fa1ac98f243cfb1e13e 272260 freebsd-utils_8.1-3_kfreebsd-amd64.deb
 2904700b0982bb591352818eabe01c96b5e92b49 40040 freebsd-utils-udeb_8.1-3_kfreebsd-amd64.udeb
 e77e867bd269256948e62d3e3001e9530aca8d5d 35486 kldutils_8.1-3_kfreebsd-amd64.deb
 a75142796527259ec1fc9b5f3573abba9a0c42d5 7490 kldutils-udeb_8.1-3_kfreebsd-amd64.udeb
 f8ba160ae6ef553f4779782564c4f2a95126e682 107162 kbdcontrol_8.1-3_kfreebsd-amd64.deb
 7c1bff3535be76d90f2bda60422af7945fdd2095 99612 vidcontrol_8.1-3_kfreebsd-amd64.deb
 f40c46f3803bdeae8119e0fcbac76740fdb62550 345974 freebsd-net-tools_8.1-3_kfreebsd-amd64.deb
 07e955957eac72c8a4220050db097b10bf5938fd 39802 freebsd-net-tools-udeb_8.1-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 1265c26bea4e2a1c36577456a1cf48e11daefacf79b01e593f19e54ccae100c1 1670 freebsd-utils_8.1-3.dsc
 de034cc93631540c6ab9c7f04f204edc46865eed46b7e6e853c8c914827c9380 77275 freebsd-utils_8.1-3.diff.gz
 8795ec024818ed99f4f329038a6bac9644d9dbba4e5918721394d230b7dd64cc 272260 freebsd-utils_8.1-3_kfreebsd-amd64.deb
 570af65e305c3920791fd3139c1ddfb22ca5fa4fbe0f0c8c2c6de8c2ee82de0d 40040 freebsd-utils-udeb_8.1-3_kfreebsd-amd64.udeb
 5e7b7a2a9b95c383c874ee228141f319182a785a6f8d3d6a3e52048965ff379c 35486 kldutils_8.1-3_kfreebsd-amd64.deb
 dbff80d52b77cf09bb84aff622404459646a732c5087dec7efea368278bf0d48 7490 kldutils-udeb_8.1-3_kfreebsd-amd64.udeb
 fb4e297e5740c6280c64c53d8add627495320e0692209b1f0997e9155e2966e7 107162 kbdcontrol_8.1-3_kfreebsd-amd64.deb
 7cca847bc2d9ffb74a1de19d3c28a63e5bc91846bf6dbb74e817d4f5e30c6fa0 99612 vidcontrol_8.1-3_kfreebsd-amd64.deb
 05904c18d3c581b095976d47719411bb0fb3266af3ebe05de2b5cdc696db3ae1 345974 freebsd-net-tools_8.1-3_kfreebsd-amd64.deb
 635878ab99e3b474cde913ec7b09487c8b0b4c0c1647d2c84b1e7ef84892770d 39802 freebsd-net-tools-udeb_8.1-3_kfreebsd-amd64.udeb
Files: 
 845260b1b27ccefd86560759b4c0eeb1 1670 utils important freebsd-utils_8.1-3.dsc
 9fe7e6dcbe0707a4047b053ec0c092ba 77275 utils important freebsd-utils_8.1-3.diff.gz
 ccbed5c2dee04f8d835017969215b389 272260 utils required freebsd-utils_8.1-3_kfreebsd-amd64.deb
 74db8f1952631947ad1823b09d544dec 40040 debian-installer optional freebsd-utils-udeb_8.1-3_kfreebsd-amd64.udeb
 ad92d38a6edaefb7ec7009e5617fcba2 35486 utils important kldutils_8.1-3_kfreebsd-amd64.deb
 45421606e3ce7f29c8251178588bafaa 7490 debian-installer optional kldutils-udeb_8.1-3_kfreebsd-amd64.udeb
 f3ed200001121e9bdaf8d280d71cc7aa 107162 utils important kbdcontrol_8.1-3_kfreebsd-amd64.deb
 7582ea08a5d1a407d96ca7bd3cfcf92f 99612 utils important vidcontrol_8.1-3_kfreebsd-amd64.deb
 4e67da2760dc6fcbfd3f3287aeef194e 345974 net important freebsd-net-tools_8.1-3_kfreebsd-amd64.deb
 dbdc43890373356464183666261bb651 39802 debian-installer important freebsd-net-tools-udeb_8.1-3_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFNDowjw3ao2vG823MRAkkjAJ98QomLjtXtARvZ87yEJKFIGEFnTwCfeL0Q
nFCeMi2ToARMpmcHThdI/wg=
=DRxC
-----END PGP SIGNATURE-----





Information stored :
Bug#605777; Package kbdcontrol. (Tue, 21 Dec 2010 07:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 21 Dec 2010 07:24:09 GMT) Full text and rfc822 format available.

Message #30 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 08:24:35 +0100 (CET)
>> The changes to the kFreeBSD console and the kbdcontrol package (see
>> #605065 and #605777) need to be accompanied by changing the cons25
>> terminfo entry accordingly, otherwise ncurses-based programs severely
>> misbehave.
>
> You really can't just unilaterally change the cons25 terminfo entry.  If
> this proposed change is implemented, people running stock FreeBSD will
> have their consoles broken if they log into a Debian system.  If
> kFreeBSD needs different settings than the stock cons25 entry, it needs
> to create and use a different TERM type.

Yes, changing cons25 terminfo entry is no option.
The creating of completely new terminfo entry is also no option,
as it means the new entry would be unknown on all other systems.
Moreover it would need changes to some other packages, at least sysvinit.

For the record, I tested new kernel image in the shell
and in jstar(joe) editor, it worked fine.
The jstar is linked to ***libncurses*** :-(

I propose revert changes in kernel and kbdcontrol and ask for ignore tag
for this "technology preview" release.

Petr





Information stored :
Bug#605777; Package kbdcontrol. (Tue, 21 Dec 2010 14:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 21 Dec 2010 14:36:22 GMT) Full text and rfc822 format available.

Message #35 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 15:33:17 +0100
2010/12/21 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I propose revert changes in kernel and kbdcontrol and ask for ignore tag
> for this "technology preview" release.

I second this.  This would make it easier to coordinate with
upstream and at least agree on what name to use.  Release
pressure wouldn't play well with that.

-- 
Robert Millan




Information stored :
Bug#605777; Package kbdcontrol. (Tue, 21 Dec 2010 18:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 21 Dec 2010 18:57:17 GMT) Full text and rfc822 format available.

Message #40 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 20:51:54 +0200
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 21 Gruodis 2010 09:24:35 Petr Salinger wrote:
> >> The changes to the kFreeBSD console and the kbdcontrol package (see
> >> #605065 and #605777) need to be accompanied by changing the cons25
> >> terminfo entry accordingly, otherwise ncurses-based programs severely
> >> misbehave.
> > 
> > You really can't just unilaterally change the cons25 terminfo entry.  If
> > this proposed change is implemented, people running stock FreeBSD will
> > have their consoles broken if they log into a Debian system.  If
> > kFreeBSD needs different settings than the stock cons25 entry, it needs
> > to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

I (as reporter of the original bug #605777) think that BSD team and release 
managers should decide what's the best way to go for Squeeze. However, if the 
decision is to ignore this for Squeeze, #605777 should stay open at its 
current severity (tagged as squeeze-ignore).

Speaking with my DD hat on, the biggest practical problem I see here is that I 
am forced to support kfreebsd while kfreebsd doesn't exactly welcome me with 
arms open. Having backspace and delete keys broken is big deal and has a great 
impact on my efficiency. However, now I know that X environment does not 
suffer from this problem so there is some light at the end of tunnel.

As a temporary workaround, I would suggest (if it's possible) creating a new 
optional userspace keymap (maybe called "US Debian" or something) which would 
be the same as standard kfbsd kernel keymap expect assign proper actions to 
backspace and delete keys. Obviously, this keymap might have some bad side- 
effects (hence it wouldn't be default) but at least users would have a choice.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605777; Package kbdcontrol. (Tue, 21 Dec 2010 23:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and filed, but not forwarded. (Tue, 21 Dec 2010 23:42:08 GMT) Full text and rfc822 format available.

Message #45 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 23:39:50 +0000
[Message part 1 (text/plain, inline)]
On Tue, Dec 21, 2010 at 08:24:35AM +0100, Petr Salinger wrote:
> >You really can't just unilaterally change the cons25 terminfo entry.  If
> >this proposed change is implemented, people running stock FreeBSD will
> >have their consoles broken if they log into a Debian system.  If
> >kFreeBSD needs different settings than the stock cons25 entry, it needs
> >to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

The new entry would presumably be pushed to ncurses upstream, who has
already weighed in here.  I'll write the terminfo entry myself and
attach it to this bug.  Assuming I can test this with kvm, I'll also
look at patching sysvinit and seeing what breaks.

My proposed name for the terminal name is cons25-debian, but you're
obviously free to change it to something more suitable.  Also feel free
to point me towards programs that break that I should test.  Obviously,
I'll be testing vim.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605777; Package kbdcontrol. (Wed, 22 Dec 2010 07:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 22 Dec 2010 07:42:07 GMT) Full text and rfc822 format available.

Message #50 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 08:41:03 +0100 (CET)
>>> You really can't just unilaterally change the cons25 terminfo entry.  If
>>> this proposed change is implemented, people running stock FreeBSD will
>>> have their consoles broken if they log into a Debian system.  If
>>> kFreeBSD needs different settings than the stock cons25 entry, it needs
>>> to create and use a different TERM type.
>>
>> Yes, changing cons25 terminfo entry is no option.
>> The creating of completely new terminfo entry is also no option,
>> as it means the new entry would be unknown on all other systems.
>> Moreover it would need changes to some other packages, at least sysvinit.
>
> The new entry would presumably be pushed to ncurses upstream, who has
> already weighed in here.  I'll write the terminfo entry myself and
> attach it to this bug.  Assuming I can test this with kvm, I'll also
> look at patching sysvinit and seeing what breaks.
>
> My proposed name for the terminal name is cons25-debian, but you're
> obviously free to change it to something more suitable.  Also feel free
> to point me towards programs that break that I should test.  Obviously,
> I'll be testing vim.

I am still unsure whether this is the right way to go.
It seems that current plain FreeBSD kernel generates events
that fully corresponds to cons25 entry.

It just uses different definitions for kbs and kdch1 
wrt Linux,

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

The problem might be incorect "stty erase" setting,
programs that do not honor these settings
or some workarounds in programs.

It seems that upstream FreeBSD plans to switch their $TERM into xterm,
via TEKEN_XTERM.

Petr




Information stored :
Bug#605777; Package kbdcontrol. (Wed, 22 Dec 2010 08:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Wed, 22 Dec 2010 08:51:08 GMT) Full text and rfc822 format available.

Message #55 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 09:47:42 +0100
On 2010-12-22 08:41 +0100, Petr Salinger wrote:

> It seems that current plain FreeBSD kernel generates events
> that fully corresponds to cons25 entry.
>
> It just uses different definitions for kbs and kdch1 wrt Linux,
>
> Linux:          kbs=\177 kdch1=\E[3~
> FreeBSD/cons25s kbs=^H   kdch1=\177
>
> The problem might be incorect "stty erase" setting,
> programs that do not honor these settings
> or some workarounds in programs.

Emacs, for instance, does not expect ^H to mean "delete previous
character" by default.  Instead it invokes the online help, which is
annoying to no end.  While this can be changed in .emacs, the backspace
key not working out of the box is still a serious problem IMO.

> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
> via TEKEN_XTERM.

Actually the switch to xterm has happened already, more than one year
ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.

Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
upstream has kbs=^H.

Cheers,
       Sven





Information stored :
Bug#605777; Package kbdcontrol. (Thu, 23 Dec 2010 03:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 23 Dec 2010 03:18:09 GMT) Full text and rfc822 format available.

Message #60 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 04:17:32 +0100 (CET)
>> It seems that current plain FreeBSD kernel generates events
>> that fully corresponds to cons25 entry.
>>
>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>
>> Linux:          kbs=\177 kdch1=\E[3~
>> FreeBSD/cons25  kbs=^H   kdch1=\177

>
> Emacs, for instance, does not expect ^H to mean "delete previous
> character" by default.  Instead it invokes the online help, which is
> annoying to no end.  While this can be changed in .emacs, the backspace
> key not working out of the box is still a serious problem IMO.
>
>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>> via TEKEN_XTERM.
>
> Actually the switch to xterm has happened already, more than one year
> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>
> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
> upstream has kbs=^H.

Given that, it might be the best way to really alter cons25 entry 
in ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

The kfreebsd-8 8.1+dfsg-7 and
    freebsd-utils 8.1-3 generates these sequences.

The next debian release will be based of FreeBSD 9.x kernel with xterm 
entry for console anyway.

As follows from /usr/share/doc/libncurses5/FAQ
"The Debian terminfo entry for xterm doesn't work with some other xterms"
the variant cons25-debian have other drawbacks.

Please, can someone with deep understanding of terminfo/termcap/...
comment on this way ?

Petr




Information stored :
Bug#605777; Package kbdcontrol. (Thu, 23 Dec 2010 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Thu, 23 Dec 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #65 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 17:10:28 +0100
On 2010-12-23 04:17 +0100, Petr Salinger wrote:

>>> It seems that current plain FreeBSD kernel generates events
>>> that fully corresponds to cons25 entry.
>>>
>>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>>
>>> Linux:          kbs=\177 kdch1=\E[3~
>>> FreeBSD/cons25  kbs=^H   kdch1=\177
>
>>
>> Emacs, for instance, does not expect ^H to mean "delete previous
>> character" by default.  Instead it invokes the online help, which is
>> annoying to no end.  While this can be changed in .emacs, the backspace
>> key not working out of the box is still a serious problem IMO.
>>
>>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>>> via TEKEN_XTERM.
>>
>> Actually the switch to xterm has happened already, more than one year
>> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>>
>> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
>> upstream has kbs=^H.
>
> Given that, it might be the best way to really alter cons25 entry in
> ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

I don't see how this follows.  People having an xterm-like terminal that
is not compatible with Debian's xterm terminfo entry can easily work
around it by setting TERM=xterm-r6 or similar when they connect to a
Debian machine.  What are FreeBSD users going to do when we introduce an
incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
they connect to a non-Debian machine?

Sven




Information stored :
Bug#605777; Package kbdcontrol. (Thu, 23 Dec 2010 18:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and filed, but not forwarded. (Thu, 23 Dec 2010 18:36:10 GMT) Full text and rfc822 format available.

Message #70 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 18:32:07 +0000
[Message part 1 (text/plain, inline)]
On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
> I don't see how this follows.  People having an xterm-like terminal that
> is not compatible with Debian's xterm terminfo entry can easily work
> around it by setting TERM=xterm-r6 or similar when they connect to a
> Debian machine.  What are FreeBSD users going to do when we introduce an
> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
> they connect to a non-Debian machine?

If we push the new entry upstream, it will be picked up by the majority
of Linux distributions, since it will go into ncurses.  FreeBSD has an
ncurses port and so does NetBSD.  I believe it is likely that we can get
the definition pushed to FreeBSD if we can convert it to termcap.  If it
can be converted to termcap, I'll be happy to push it to FreeBSD,
NetBSD, and OpenBSD, assuming they'll accept it.

I've attached the necessary patches to create the cons25-debian terminfo
entry and the patch for sysvinit, which seem to work for me in a fresh
kfreebsd-amd64 installation in kvm (patching /etc/inittab is necessary,
though).  If they're useful, great; if not, that's okay, too.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[ncurses-cons25-debian.patch (text/x-diff, attachment)]
[sysvinit-cons25-debian.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605777; Package kbdcontrol. (Thu, 23 Dec 2010 19:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Thu, 23 Dec 2010 19:36:16 GMT) Full text and rfc822 format available.

Message #75 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 20:32:10 +0100
On 2010-12-23 19:32 +0100, brian m. carlson wrote:

> On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
>> I don't see how this follows.  People having an xterm-like terminal that
>> is not compatible with Debian's xterm terminfo entry can easily work
>> around it by setting TERM=xterm-r6 or similar when they connect to a
>> Debian machine.  What are FreeBSD users going to do when we introduce an
>> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
>> they connect to a non-Debian machine?
>
> If we push the new entry upstream, it will be picked up by the majority
> of Linux distributions, since it will go into ncurses.  FreeBSD has an
> ncurses port and so does NetBSD.  I believe it is likely that we can get
> the definition pushed to FreeBSD if we can convert it to termcap.  If it
> can be converted to termcap, I'll be happy to push it to FreeBSD,
> NetBSD, and OpenBSD, assuming they'll accept it.

How long is that going to take?  In the meantime, console users of
GNU/kFreeBSD are screwed whenever they connect to other systems, since
that means they must change their TERM variable _and_ their backspace
key is broken.

> I've attached the necessary patches to create the cons25-debian
> terminfo entry and the patch for sysvinit, which seem to work for me
> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
> is necessary, though).  If they're useful, great; if not, that's okay,
> too.

The cons25-debian name might not be a very good one if you want to that
push terminfo entry to other systems.  That may be for Thomas to decide.

Personally I'm leaning towards reverting the changes to the kFreeBSD
kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
broken console, but at least the problems are about the same as in
FreeBSD proper, and we don't create additional incompatibilities with
other systems.

Sven




Information stored :
Bug#605777; Package kbdcontrol. (Mon, 27 Dec 2010 08:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 27 Dec 2010 08:51:09 GMT) Full text and rfc822 format available.

Message #80 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 09:52:23 +0100 (CET)
> How long is that going to take?  In the meantime, console users of
> GNU/kFreeBSD are screwed whenever they connect to other systems, since
> that means they must change their TERM variable _and_ their backspace
> key is broken.

>> I've attached the necessary patches to create the cons25-debian
>> terminfo entry and the patch for sysvinit, which seem to work for me
>> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
>> is necessary, though).  If they're useful, great; if not, that's okay,
>> too.
>
> The cons25-debian name might not be a very good one if you want to that
> push terminfo entry to other systems.  That may be for Thomas to decide.
>
> Personally I'm leaning towards reverting the changes to the kFreeBSD
> kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
> broken console, but at least the problems are about the same as in
> FreeBSD proper, and we don't create additional incompatibilities with
> other systems.

I see two basic options:

1) plain cons25 variant: current sysvinit, ncurses
   and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2

It does not conform to debian policy, the backspace/delete key is somewhat 
broken on console and somewhat broken when connection to other systems 
from console

2) cons25-debian variant: needs patched sysvinit, patched ncurses,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

It does conform to debian policy, the backspace/delete key works
on console, it is needed to set TERM when connection to other systems
from console and is somewhat broken when connection is made to other 
systems directly from console.

In both cases the connection to other systems from running X is fine.
In both cases there will be change (and fix) for FreeBSD 9.x kernel,
as it already has TEKEN_XTERM as a default.

The cons25-debian seems be fine for me, as it should be only local change 
for one release of Debian GNU/kFreeBSD. The next one will not use it.

And there is a third option, mixture of both above.
As a default use the plain cons25 variant. Additionaly provide
cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
By default it will work as variant 1, but there is a possibility
to set TERM to cons25-debian and set keymap which would generate the 
correct sequences for cons25-debian.

This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
and patched freebsd-utils.

My personal order of preferences is 3, 1, 2.
All seems better compared to current status.

Petr




Information stored :
Bug#605777; Package kbdcontrol. (Mon, 27 Dec 2010 16:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Mon, 27 Dec 2010 16:57:07 GMT) Full text and rfc822 format available.

Message #85 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 17:53:40 +0100
On 2010-12-27 09:52 +0100, Petr Salinger wrote:

> I see two basic options:
>
> 1) plain cons25 variant: current sysvinit, ncurses
>    and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2
>
> It does not conform to debian policy, the backspace/delete key is
> somewhat broken on console and somewhat broken when connection to
> other systems from console
>
> 2) cons25-debian variant: needs patched sysvinit, patched ncurses,
>    and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
>
> It does conform to debian policy, the backspace/delete key works
> on console, it is needed to set TERM when connection to other systems
> from console and is somewhat broken when connection is made to other
> systems directly from console.

It seems to be a bit more broken than in the situation in 1), though.
For instance, programs that expect ^H to mean "delete previous
character" (this seems to include nano, for instance) work fine in 1),
but most text editors will be broken in 2) when run remotely.

> The cons25-debian seems be fine for me, as it should be only local
> change for one release of Debian GNU/kFreeBSD. The next one will not
> use it.

Any name is fine with me as long as ncurses upstream accepts it.

> And there is a third option, mixture of both above.
> As a default use the plain cons25 variant. Additionaly provide
> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
> By default it will work as variant 1, but there is a possibility
> to set TERM to cons25-debian and set keymap which would generate the
> correct sequences for cons25-debian.

Only one keymap, or several of them?  I would not like having to use US
keyboard layout for correct backspace/delete keys.

> This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
> and patched freebsd-utils.
>
> My personal order of preferences is 3, 1, 2.
> All seems better compared to current status.

I agree with that.

Cheers,
       Sven




Information stored :
Bug#605777; Package kbdcontrol. (Mon, 27 Dec 2010 17:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 27 Dec 2010 17:57:13 GMT) Full text and rfc822 format available.

Message #90 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 18:52:06 +0100
2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I see two basic options:
>
> [...]
> And there is a third option, mixture of both above. [...]

There's a fourth option: backporting TEKEN_XTERM from 9-current.

(I'm not speaking in favour of it, I have no idea whether it'd be
feasible or not)

-- 
Robert Millan




Information stored :
Bug#605777; Package kbdcontrol. (Mon, 27 Dec 2010 18:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 27 Dec 2010 18:51:07 GMT) Full text and rfc822 format available.

Message #95 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 19:51:33 +0100 (CET)
>> The cons25-debian seems be fine for me, as it should be only local
>> change for one release of Debian GNU/kFreeBSD. The next one will not
>> use it.
>
> Any name is fine with me as long as ncurses upstream accepts it.

The next debian release will be based on FreeBSD 9.x kernel, with 
TERM=xterm, so IMHO, this name even do not need to be in upstream.

>> And there is a third option, mixture of both above.
>> As a default use the plain cons25 variant. Additionaly provide
>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>> By default it will work as variant 1, but there is a possibility
>> to set TERM to cons25-debian and set keymap which would generate the
>> correct sequences for cons25-debian.
>
> Only one keymap, or several of them?  I would not like having to use US
> keyboard layout for correct backspace/delete keys.

Or a script, which will change currently loaded keymap to policy 
conforming, roughly

 kbdcontrol -d | sed ... | kbdcontrol -l

So best option for now seems be to prevent
freebsd-utils 8.1-3 from entering 
testing and a new upload of kfreebsd-8.

Petr




Information stored :
Bug#605777; Package kbdcontrol. (Mon, 27 Dec 2010 19:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Mon, 27 Dec 2010 19:48:09 GMT) Full text and rfc822 format available.

Message #100 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 20:44:51 +0100
On 2010-12-27 19:51 +0100, Petr Salinger wrote:

>>> The cons25-debian seems be fine for me, as it should be only local
>>> change for one release of Debian GNU/kFreeBSD. The next one will not
>>> use it.
>>
>> Any name is fine with me as long as ncurses upstream accepts it.
>
> The next debian release will be based on FreeBSD 9.x kernel, with
> TERM=xterm, so IMHO, this name even do not need to be in upstream.

Would still be nice if it were, so that Squeeze GNU/kFreeBSD users have
at least a chance that remote systems have the terminfo entry.

>>> And there is a third option, mixture of both above.
>>> As a default use the plain cons25 variant. Additionaly provide
>>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>>> By default it will work as variant 1, but there is a possibility
>>> to set TERM to cons25-debian and set keymap which would generate the
>>> correct sequences for cons25-debian.
>>
>> Only one keymap, or several of them?  I would not like having to use US
>> keyboard layout for correct backspace/delete keys.
>
> Or a script, which will change currently loaded keymap to policy
> conforming, roughly
>
>  kbdcontrol -d | sed ... | kbdcontrol -l

When is this script to be run, and where should people set the TERM
environment variable for it?

> So best option for now seems be to prevent
> freebsd-utils 8.1-3 from entering testing and a new upload of
> kfreebsd-8.

For the record, freebsd-utils 8.1-3 will migrate in three days if not
hindered.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 28 Dec 2010 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Dec 2010 23:39:05 GMT) Full text and rfc822 format available.

Message #105 received at 605777@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 28 Dec 2010 23:36:57 +0000
On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > So best option for now seems be to prevent
> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > kfreebsd-8.
> 
> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> hindered.

To be precise, it would have migrated tomorrow.  I've just commented out
my unblock hint for freebsd-utils, but that means that #605777 still
isn't fixed in Squeeze so I'd appreciate this getting resolved one way
or another asap.

Regards,

Adam





Information stored :
Bug#605777; Package kbdcontrol. (Wed, 29 Dec 2010 09:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 29 Dec 2010 09:27:18 GMT) Full text and rfc822 format available.

Message #110 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 11:12:59 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
> > I see two basic options:
> > 
> > [...]
> > And there is a third option, mixture of both above. [...]
> 
> There's a fourth option: backporting TEKEN_XTERM from 9-current.

Actually, I really like the latter option (I don't know how difficult it would 
be though).

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 29 Dec 2010 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 29 Dec 2010 19:09:07 GMT) Full text and rfc822 format available.

Message #115 received at 605777@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:07:47 +0100
On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:

> On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > So best option for now seems be to prevent
>> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > kfreebsd-8.
>> 
>> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> hindered.
>
> To be precise, it would have migrated tomorrow.  I've just commented out
> my unblock hint for freebsd-utils, but that means that #605777 still
> isn't fixed in Squeeze so I'd appreciate this getting resolved one way
> or another asap.

I have added the proposed patch for the cons25-debian terminfo entry to
ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
to implement any of the suggested solutions.

Craig, could you please upload ncurses 5.7+20100313-5 (from the sid
branch)?

Cheers,
       Sven


¹ http://git.debian.org/?p=collab-maint/ncurses.git;a=commit;h=8eaf8feced3d17fb54feff450d766457f166ac73




Information stored :
Bug#605777; Package kbdcontrol. (Wed, 29 Dec 2010 19:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Wed, 29 Dec 2010 19:15:12 GMT) Full text and rfc822 format available.

Message #120 received at 605777-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Modestas Vainius <modax@debian.org>
Cc: 607662@bugs.debian.org, Robert Millan <rmh@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:10:48 +0100
On 2010-12-29 10:12 +0100, Modestas Vainius wrote:

> On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
>> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>> > I see two basic options:
>> > 
>> > [...]
>> > And there is a third option, mixture of both above. [...]
>> 
>> There's a fourth option: backporting TEKEN_XTERM from 9-current.
>
> Actually, I really like the latter option (I don't know how difficult it would 
> be though).

I like this option as well, but the deep freeze might not be the best
time to implement it.

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 04 Jan 2011 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:12:05 GMT) Full text and rfc822 format available.

Message #125 received at 605777@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:09:21 +0000
On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> 
> > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> >> > So best option for now seems be to prevent
> >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> >> > kfreebsd-8.
> >> 
> >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> >> hindered.
[...]
> I have added the proposed patch for the cons25-debian terminfo entry to
> ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> to implement any of the suggested solutions.

That's now happened; thanks.  Is the ncurses change suitable for
migration in its own right, or does it need an associated change on the
kFreeBSD side still?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 04 Jan 2011 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:21:05 GMT) Full text and rfc822 format available.

Message #130 received at 605777@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 00:17:56 +0200
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > >> > So best option for now seems be to prevent
> > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > >> > kfreebsd-8.
> > >> 
> > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > >> hindered.
> 
> [...]
> 
> > I have added the proposed patch for the cons25-debian terminfo entry to
> > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > to implement any of the suggested solutions.
> 
> That's now happened; thanks.  Is the ncurses change suitable for
> migration in its own right, or does it need an associated change on the
> kFreeBSD side still?

Huh, looks like kfreebsd kernel change was reverted [1].

[1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org


-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 04 Jan 2011 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:45:07 GMT) Full text and rfc822 format available.

Message #135 received at 605777@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:41:13 +0000
On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
> Hello,
> 
> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > > >> > So best option for now seems be to prevent
> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > > >> > kfreebsd-8.
> > > >> 
> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > > >> hindered.

Hmmm, in fact it looks like someone else unblocked it, so it's migrated
anyway.

> > > I have added the proposed patch for the cons25-debian terminfo entry to
> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > > to implement any of the suggested solutions.
> > 
> > That's now happened; thanks.  Is the ncurses change suitable for
> > migration in its own right, or does it need an associated change on the
> > kFreeBSD side still?
> 
> Huh, looks like kfreebsd kernel change was reverted [1].
> 
> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org

Indeed.  I'm now thoroughly confused. :-)

As the freebsd-utils change has hit testing after all, is unblocking
ncurses to go with it sufficient, or do we need further changes?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 05 Jan 2011 07:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 07:09:05 GMT) Full text and rfc822 format available.

Message #140 received at 605777@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#607662: Bug#605065: Bug#605777: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 08:07:18 +0100
On 2011-01-04 23:41 +0100, Adam D. Barratt wrote:

> On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
>> Hello,
>> 
>> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
>> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
>> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
>> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > > >> > So best option for now seems be to prevent
>> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > > >> > kfreebsd-8.
>> > > >> 
>> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> > > >> hindered.
>
> Hmmm, in fact it looks like someone else unblocked it, so it's migrated
> anyway.
>
>> > > I have added the proposed patch for the cons25-debian terminfo entry to
>> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
>> > > to implement any of the suggested solutions.
>> > 
>> > That's now happened; thanks.  Is the ncurses change suitable for
>> > migration in its own right, or does it need an associated change on the
>> > kFreeBSD side still?
>> 
>> Huh, looks like kfreebsd kernel change was reverted [1].
>> 
>> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org
>
> Indeed.  I'm now thoroughly confused. :-)

Argh, with the current combination of the kFreeBSD kernel, freebsd-utils
and ncurses in sid you are between the devil and the deep blue sea:
either set TERM=cons25 and have the backspace key delete forwards, or
set TERM=cons25-debian and have the delete key delete backwards. :-/

> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

I'd rather ask the kFreeBSD people what they really want for Squeeze.
If they are going to revert the changes in freebsd-utils as well (which
is one of the proposed solutions), there is little point in unblocking
ncurses at all.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 05 Jan 2011 09:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 09:15:07 GMT) Full text and rfc822 format available.

Message #145 received at 605777@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 605065@bugs.debian.org
Cc: Modestas Vainius <modax@debian.org>, Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:12:08 +0100
2011/1/4 Adam D. Barratt <adam@adam-barratt.org.uk>:
> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

This is what Petr said after asking me to revert those patches:

  Later we might provide sed script to alter loaded keymap
  into policy conforming. It together with ncurses 5.7+20100313-5
  will allow to have conforming and backspace working local console.

  But for now it is better to provide previous state.

So I guess we only need an unblock for freebsd-utils_8.1-3.1 and
kfreebsd-8_8.1+dfsg-7.1.

(freebsd-utils_8.1-3.1 is being uploaded ATTOW)

Thanks

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 05 Jan 2011 09:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 09:15:09 GMT) Full text and rfc822 format available.

Message #150 received at 605777@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:15:15 +0100 (CET)
Hi.

Background:

The plain FreeBSD kernel generates different sequences
for Backspace and Delete keys compared to Linux (and required by Policy).
Generated sequences can be altered by kbdcontrol (from freebsd-utils 
source package) and the default sequences are of course in kernel 
(kfreebsd-8 source package).

I together with Aurelien prepared patches for changing them into same 
sequences as on Linux, both uploaded.

Unfortunately, it have been shown, that it does not suffice.
The sequences are also stored at least in ncurses TERM definition:

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

Therefore also at least ncurses and sysvinit packages have to be changed.
It is not possible to just alter cons25 entry as it would break conection 
to other systems, the new TERM name is needed. It would not be available 
on other systems.

Current reasonable options:

1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
   and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2

   It does not conform to debian policy, the backspace/delete key is
   somewhat small broken on console and somewhat small broken when
   connection to other systems from console

2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

   It does conform to debian policy, the backspace/delete key works
   on console, it is needed to set TERM when connection to other systems
   from console and is somewhat big broken when connection is made to
   other systems directly from console.

3) mixture of both above
   current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
   patched freebsd-utils

   As a default use the plain cons25 variant. Additionaly provide
   cons25-debian entry in ncurses and special debian keymap in
   freebsd-utils. By default it will work as variant 1, but there is a
   possibility to set TERM to cons25-debian and set keymap which would
   generate the correct sequences for cons25-debian.

4) backport TEKEN_XTERM from FreeBSD 9.x
   needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils

My personal order of preferences in deep freeze is 3, 1, 4, 2.
All are better compared to current status.
Long term solution is 4.

I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
http://lists.debian.org/debian-bsd/2010/12/msg00128.html

> If they are going to revert the changes in freebsd-utils as well (which
> is one of the proposed solutions), there is little point in unblocking
> ncurses at all.

No, the unblocking of ncurses allows us to implement option 3.

The problem exists only on local text console, the delete/backspace keys 
work correctly when logged on local X console or remotely.

The quickest solution is to disable 032_delete_key.diff in freebsd-utils
and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

Eventually later on (if time permits before release or for point release),
prepare extended freebsd-utils and unblock it. It would require
ncurses 5.7+20100313-5. The ncurses can be safely migrated earlier.

I am sorry, but I didn't seen consequences of altering
generated sequences for delete/backspace keys earlier.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 05 Jan 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #155 received at 605777@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 19:47:27 +0000
On Wed, 2011-01-05 at 10:15 +0100, Petr Salinger wrote:
> The plain FreeBSD kernel generates different sequences
> for Backspace and Delete keys compared to Linux (and required by Policy).
> Generated sequences can be altered by kbdcontrol (from freebsd-utils 
> source package) and the default sequences are of course in kernel 
> (kfreebsd-8 source package).
> 
> I together with Aurelien prepared patches for changing them into same 
> sequences as on Linux, both uploaded.
> 
> Unfortunately, it have been shown, that it does not suffice.

Thanks for the summary.

[...]
> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
[...]
> 3) mixture of both above
>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>     patched freebsd-utils
> 
>     As a default use the plain cons25 variant. Additionaly provide
>     cons25-debian entry in ncurses and special debian keymap in
>     freebsd-utils. By default it will work as variant 1, but there is a
>     possibility to set TERM to cons25-debian and set keymap which would
>     generate the correct sequences for cons25-debian.
> 
> 4) backport TEKEN_XTERM from FreeBSD 9.x
>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
> 
> My personal order of preferences in deep freeze is 3, 1, 4, 2.

Just to make sure I understand correctly, option 3 is roughly "doesn't
conform to Policy but can be made to without significant effort" and a
sysvinit update would be necessary in order to make the default Policy
compliant?  If so, how large is the change required to sysvinit?

> All are better compared to current status.
> Long term solution is 4.
> 
> I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
> Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
> http://lists.debian.org/debian-bsd/2010/12/msg00128.html

Unfortunately it got re-unblocked by someone else and I didn't notice
until it was too late.

> > If they are going to revert the changes in freebsd-utils as well (which
> > is one of the proposed solutions), there is little point in unblocking
> > ncurses at all.
> 
> No, the unblocking of ncurses allows us to implement option 3.
> 
> The problem exists only on local text console, the delete/backspace keys 
> work correctly when logged on local X console or remotely.
> 
> The quickest solution is to disable 032_delete_key.diff in freebsd-utils
> and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
change made there; am I correct that unblocking kfreebsd-8,
freebsd-utils and ncurses would give us option 1 on your list and that
basically puts us back where we were to start with?  If so, what other
changes would be required (and how large would be they be) to allow us
to implement option 3?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Wed, 05 Jan 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #160 received at 605777@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 21:56:08 +0100 (CET)
>> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
> [...]
>> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
> [...]
>> 3) mixture of both above
>>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>>     patched freebsd-utils
>>
>>     As a default use the plain cons25 variant. Additionaly provide
>>     cons25-debian entry in ncurses and special debian keymap in
>>     freebsd-utils. By default it will work as variant 1, but there is a
>>     possibility to set TERM to cons25-debian and set keymap which would
>>     generate the correct sequences for cons25-debian.
>>
>> 4) backport TEKEN_XTERM from FreeBSD 9.x
>>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
>>
>> My personal order of preferences in deep freeze is 3, 1, 4, 2.
>
> Just to make sure I understand correctly, option 3 is roughly "doesn't
> conform to Policy but can be made to without significant effort"

Yes.

> and a
> sysvinit update would be necessary in order to make the default Policy
> compliant?  If so, how large is the change required to sysvinit?

See in Message #70 received at 607662@bugs.debian.org:

http://bugs.debian.org//cgi-bin/bugreport.cgi?msg=70;filename=sysvinit-cons25-debian.patch;att=2;bug=607662

But the problem is that there might be another problem in another 
package - similarly as have been shown that fixing kfreebsd-8 and 
freebsd-utils  does not suffice :-(
I guess we do not have enough time before real release 
for proper testing. IMHO it would be much better to release in state as 
have been used in last months (years) compared to unknown state.

> freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> change made there; am I correct that unblocking kfreebsd-8,
> freebsd-utils and ncurses would give us option 1 on your list and that
> basically puts us back where we were to start with?

For option 1 please unblock freebsd-utils 8.1-3.1 and kfreebsd-8 8.1+dfsg-7.1

The ncurses 5.7+20100313-5 is not needed for option 1,
but it wouldn't hurt.

> If so, what other
> changes would be required (and how large would be they be) to allow us
> to implement option 3?

In 1st step unblock (and migrate) kfreebsd-8 and freebsd-utils as above
in 2nd step unblock ncurses 5.7+20100313-5 and 
in 3rd step prepare and test another update for freebsd-utils.

The change for freebsd-utils will be some new script like

   kbdcontrol -d | sed ... | kbdcontrol -l
   kbdcontrol -f 61 ESC[3~
   TERM=cons25-debian

Or something like that.
The first command should alter sequence for scan code
*0e* to 0x7F and for scan code *53* to F(61).
The second command should alter sequence generated for F(61).
See also 
http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-8/debian/patches/918_delete_key.diff?rev=3199&sc=1

Hereby I am asking for

unblock for
freebsd-utils 8.1-3.1
kfreebsd-8 8.1+dfsg-7.1
ncurses 5.7+20100313-5

And squeeze-ignore tag for 
605065, 605777. The 607662 already have it.

Cheers and many thanks

		Petr





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Sat, 08 Jan 2011 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 08 Jan 2011 19:39:05 GMT) Full text and rfc822 format available.

Message #165 received at 605777@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Sat, 08 Jan 2011 19:36:10 +0000
user release.debian.org@packages.debian.org
found 605605 8.1+dfsg-7.1
tag 605605 + squeeze-ignore
usertag 605605 + squeeze-can-defer
found 605777 8.1+dfsg-7.1
tag 605777 + squeeze-ignore
usertag 605777 + squeeze-can-defer
thanks

On Wed, 2011-01-05 at 21:56 +0100, Petr Salinger wrote:
> >> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
> >>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> > freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> > change made there; am I correct that unblocking kfreebsd-8,
> > freebsd-utils and ncurses would give us option 1 on your list and that
> > basically puts us back where we were to start with?
[...]
> Hereby I am asking for
> 
> unblock for
> freebsd-utils 8.1-3.1
> kfreebsd-8 8.1+dfsg-7.1
> ncurses 5.7+20100313-5

Done.

> And squeeze-ignore tag for 
> 605065, 605777. The 607662 already have it.

Done, along with marking both bugs as present in kfreebsd-8 8.1
+dfsg-7.1.

If it's possible to get this fixed for a point release, that would be
great.  If not, at least people now have a work-around until we can fix
this properly in wheezy; thanks for all of your work on this.

Regards,

Adam





Bug Marked as found in versions 8.1+dfsg-7.1 and reopened. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:39:12 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Mon, 10 Jan 2011 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Jan 2011 11:27:05 GMT) Full text and rfc822 format available.

Message #174 received at 605777@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 12:27:51 +0100 (CET)
[Message part 1 (text/plain, inline)]
> The change for freebsd-utils will be some new script like
>
>   kbdcontrol -d | sed ... | kbdcontrol -l
>   kbdcontrol -f 61 ESC[3~
>   TERM=cons25-debian

Attached is the mentioned script. It have to be run directly on console
or by "sh keymap-policy.sh < /dev/console"
The keymap is altered system wide, i.e. on all virtual consoles.
And you have to manually set "TERM=cons25-debian" aftewards.

The (current) reset back is
  /etc/init.d/kbdcontrol start
  kbdcontrol -F
  TERM=cons25

Please could you test whether it work with your
native national keymap as expected ?

The expected installed (and running) packages versions are:
 freebsd-utils 8.1-3.1
 kfreebsd-8 8.1+dfsg-7.1
 ncurses 5.7+20100313-5

RFC part:
The integration should be into /etc/init.d/kbdcontrol,
by adding two targets, like keymap-native and keymap-debian.

May be it can be run even semi-automatically, by
detecting whether the /etc/inittab uses cons25 or cons25-debian
and noop or alter keymap.

Many thanks

	Petr
[keymap-policy.sh (application/x-sh, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Mon, 10 Jan 2011 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Jan 2011 15:51:06 GMT) Full text and rfc822 format available.

Message #179 received at 605777@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 16:47:25 +0100
On 2011-01-10 12:27 +0100, Petr Salinger wrote:

>> The change for freebsd-utils will be some new script like
>>
>>   kbdcontrol -d | sed ... | kbdcontrol -l
>>   kbdcontrol -f 61 ESC[3~
>>   TERM=cons25-debian
>
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
>
> The (current) reset back is
>   /etc/init.d/kbdcontrol start
>   kbdcontrol -F
>   TERM=cons25
>
> Please could you test whether it work with your
> native national keymap as expected ?

Works fine with german.iso.kbd in /etc/kbdcontrol.conf, thanks.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Mon, 10 Jan 2011 17:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Jan 2011 17:54:02 GMT) Full text and rfc822 format available.

Message #184 received at 605777@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 19:50:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 10 Sausis 2011 13:27:51 Petr Salinger wrote:
> > The change for freebsd-utils will be some new script like
> > 
> >   kbdcontrol -d | sed ... | kbdcontrol -l
> >   kbdcontrol -f 61 ESC[3~
> >   TERM=cons25-debian
> 
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
> 
> The (current) reset back is
>    /etc/init.d/kbdcontrol start
>    kbdcontrol -F
>    TERM=cons25
> 
> Please could you test whether it work with your
> native national keymap as expected ?

It works fine. Both shell and vim behave as I expect now.

> The expected installed (and running) packages versions are:
>   freebsd-utils 8.1-3.1
>   kfreebsd-8 8.1+dfsg-7.1
>   ncurses 5.7+20100313-5
> 
> RFC part:
> The integration should be into /etc/init.d/kbdcontrol,
> by adding two targets, like keymap-native and keymap-debian.
> 
> May be it can be run even semi-automatically, by
> detecting whether the /etc/inittab uses cons25 or cons25-debian
> and noop or alter keymap.

Yes, I like the latter (auto detection) part. Another solution could be a 
debconf question in kbdcontrol (though it might be too late for this).

What's more, I think this issue (with short instructions whatever the final 
integration part ends up being) warrants a note in release notes.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 18 Jan 2011 08:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 18 Jan 2011 08:15:03 GMT) Full text and rfc822 format available.

Message #189 received at 605777@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Modestas Vainius <modax@debian.org>, aurel32@debian.org, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605777: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 09:17:31 +0100 (CET)
[Message part 1 (text/plain, inline)]
>> The integration should be into /etc/init.d/kbdcontrol,
>> by adding two targets, like keymap-native and keymap-debian.
>>
>> May be it can be run even semi-automatically, by
>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>> and noop or alter keymap.
>
> Yes, I like the latter (auto detection) part. Another solution could be a
> debconf question in kbdcontrol (though it might be too late for this).

Attached is the proposed new /etc/init.d/kbdcontrol.
The current default is
FLAVOUR=auto

Should be the default "auto" or "native" ?

Is there still a time to do freebsd-utils upload ?
The only change against current one would be the new 
/etc/init.d/kbdcontrol script.

Cheers
	Petr
[kbdcontrol.init (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605777; Package kbdcontrol. (Tue, 18 Jan 2011 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 18 Jan 2011 09:09:03 GMT) Full text and rfc822 format available.

Message #194 received at 605777@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, Modestas Vainius <modax@debian.org>, aurel32@debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 10:05:00 +0100
On 2011-01-18 09:17 +0100, Petr Salinger wrote:

>>> The integration should be into /etc/init.d/kbdcontrol,
>>> by adding two targets, like keymap-native and keymap-debian.
>>>
>>> May be it can be run even semi-automatically, by
>>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>>> and noop or alter keymap.
>>
>> Yes, I like the latter (auto detection) part. Another solution could be a
>> debconf question in kbdcontrol (though it might be too late for this).
>
> Attached is the proposed new /etc/init.d/kbdcontrol.
> The current default is
> FLAVOUR=auto
>
> Should be the default "auto" or "native" ?
>
> Is there still a time to do freebsd-utils upload ?
> The only change against current one would be the new
> /etc/init.d/kbdcontrol script.
>
> Cheers
> 	Petr
>
> #! /bin/sh
> ### BEGIN INIT INFO
> # Provides:             kbdcontrol
> # Required-Start:       $local_fs $remote_fs
> # Required-Stop:
> # Default-Start:        S
> # Default-Stop:
> # Short-Description:    Set keymap
> # Description:          Set the Console keymap
> ### END INIT INFO
> #
> # skeleton	example file to build /etc/init.d/ scripts.
> #		This file should be used to construct scripts for /etc/init.d.
> #
> #		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
> #		Modified for Debian 
> #		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
> #
> # Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
> #
>
> set -e
>
> PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
> which kbdcontrol >/dev/null

Please add " || exit 0" to not fail if kbdcontrol is removed but not
purged.

> # in general, keymap layout can be
> # native:  the plain FreeBSD/cons25 layout
> # debian:  the Debian Policy 9.8 (Keyboard configuration) conforming, aka cons25-debian
> # auto:    scan /etc/inittab and guess the right one
> FLAVOUR=auto
>
> # for auto do the guess
> if [ $FLAVOUR = auto ]
> then
>   if grep -q -e "respawn:/sbin/getty.*cons25-debian" /etc/inittab

This will match lines that are commented out.

Cheers,
       Sven




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 29 Oct 2011 22:00:03 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 29 Oct 2011 22:21:10 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Sat, 29 Oct 2011 22:21:10 GMT) Full text and rfc822 format available.

Message #201 received at 605777-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 605777-close@bugs.debian.org
Subject: Bug#605777: fixed in freebsd-utils 8.2+ds2-6
Date: Sat, 29 Oct 2011 22:17:28 +0000
Source: freebsd-utils
Source-Version: 8.2+ds2-6

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-geom_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-geom_8.2+ds2-6_kfreebsd-i386.deb
freebsd-net-tools-udeb_8.2+ds2-6_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2+ds2-6_kfreebsd-i386.udeb
freebsd-net-tools_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2+ds2-6_kfreebsd-i386.deb
freebsd-nfs-common_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-common_8.2+ds2-6_kfreebsd-i386.deb
freebsd-nfs-server_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-server_8.2+ds2-6_kfreebsd-i386.deb
freebsd-utils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
freebsd-utils_8.2+ds2-6.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-6.debian.tar.gz
freebsd-utils_8.2+ds2-6.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-6.dsc
freebsd-utils_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-utils_8.2+ds2-6_kfreebsd-i386.deb
kbdcontrol_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/kbdcontrol_8.2+ds2-6_kfreebsd-i386.deb
kldutils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
kldutils_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/kldutils_8.2+ds2-6_kfreebsd-i386.deb
vidcontrol_8.2+ds2-6_kfreebsd-i386.deb
  to main/f/freebsd-utils/vidcontrol_8.2+ds2-6_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 22:19:22 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common freebsd-geom
Architecture: source kfreebsd-i386
Version: 8.2+ds2-6
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-geom - modular disk I/O request transformation framework
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 605777
Changes: 
 freebsd-utils (8.2+ds2-6) experimental; urgency=low
 .
   * Fix route call without arguments.
   * Recover 032_delete_key.diff patch from SVN r3202.  (Closes: #605777)
Checksums-Sha1: 
 1188d78524ae65beee70785764f1385d35b12ef9 2315 freebsd-utils_8.2+ds2-6.dsc
 ea76c2fc0b01e8e13b2d7f4900ef2316f8466a7c 137390 freebsd-utils_8.2+ds2-6.debian.tar.gz
 d7991d7fb722fc0504a4b2054c76eb306041b52f 329348 freebsd-utils_8.2+ds2-6_kfreebsd-i386.deb
 c8839a0ce02812289ad2afbda3df7071db1c3e26 39392 freebsd-utils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 72866cdbdc523556f23707b1009269cb9d323a05 37700 kldutils_8.2+ds2-6_kfreebsd-i386.deb
 07621301a5feb40fcd8b6ca1ad5bd02bcf9e713c 7072 kldutils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 3143fd820776b9d091c87a2b18c4b5e3c3ee14b6 123682 kbdcontrol_8.2+ds2-6_kfreebsd-i386.deb
 7079da2540e8268ae90d264d543763943290d164 122796 vidcontrol_8.2+ds2-6_kfreebsd-i386.deb
 aeed5aceb0737b1c56e1b7fd60a4799d3ab6478e 391042 freebsd-net-tools_8.2+ds2-6_kfreebsd-i386.deb
 7149531c400ae072f2b0c1281e2aba4a33824bed 77324 freebsd-net-tools-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 9f052c6190214d78181ffe243823b19c8a168f68 65382 freebsd-nfs-server_8.2+ds2-6_kfreebsd-i386.deb
 dd1058976834c6267200c82dcf6e8a88b0009f9e 76832 freebsd-nfs-common_8.2+ds2-6_kfreebsd-i386.deb
 a0e64313dafb6b8383189adec2b606b54a3b00df 159194 freebsd-geom_8.2+ds2-6_kfreebsd-i386.deb
Checksums-Sha256: 
 fc903a2fa0295ea5a3b004fb236f92aa2aa667604723787906e5ee3d455a9d58 2315 freebsd-utils_8.2+ds2-6.dsc
 88d76bf78421f4878209fdfb9fdf065790ff7009dc650bc15c594db00c102cf6 137390 freebsd-utils_8.2+ds2-6.debian.tar.gz
 63540237823f0e1022f837d5c5ab0617a89f311100c394a600efc0b246bc4d81 329348 freebsd-utils_8.2+ds2-6_kfreebsd-i386.deb
 e29619241a788b712f09f8364f7c298f391fc77a6d31cc2374c48bf4f933788d 39392 freebsd-utils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 85ecc870fea15c0ad019d18efe415417f4257eba7850d41abb465fe50312dab8 37700 kldutils_8.2+ds2-6_kfreebsd-i386.deb
 08a32bb008c02f5c01453613364facbc0827ab388b6e084ba7d34145371fa8d6 7072 kldutils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 d257d37b6eaa8cc15ca69b0695b07197f8dd9800bfddc0f7c6afee2c175cb5fe 123682 kbdcontrol_8.2+ds2-6_kfreebsd-i386.deb
 a2b496d44b99552c18d520773bd13ba650b3741f4f3cfcb774abef04ea977243 122796 vidcontrol_8.2+ds2-6_kfreebsd-i386.deb
 49130c111b168078f42dc63176c5ad177ff1f5ca1c28ecd821ae0ef63202e767 391042 freebsd-net-tools_8.2+ds2-6_kfreebsd-i386.deb
 7257ae2383c2eb97461fd703c37e47692531c38c2bfab97a626f4d752d581c19 77324 freebsd-net-tools-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 c496d75ddd8587985d199669516da30e52bf897be6c05e5ba98790580e6b701f 65382 freebsd-nfs-server_8.2+ds2-6_kfreebsd-i386.deb
 1c2b209c6db76eba82e0719d39c61876a9923bed79859eef4f1c885ab48854a9 76832 freebsd-nfs-common_8.2+ds2-6_kfreebsd-i386.deb
 667a6e919eeec061c6ff71c41bc62ecec91ab1d7c56109d0be13b5fd52871cf1 159194 freebsd-geom_8.2+ds2-6_kfreebsd-i386.deb
Files: 
 7af18a5e4bd35673a5eb985ef13428f6 2315 utils important freebsd-utils_8.2+ds2-6.dsc
 f4abd0ce8805e25c5ddf841ea3ac7163 137390 utils important freebsd-utils_8.2+ds2-6.debian.tar.gz
 fe17137ae35889795aaac93f1d372269 329348 utils required freebsd-utils_8.2+ds2-6_kfreebsd-i386.deb
 e3c72caa4c55f52833bb4a6b8786259e 39392 debian-installer optional freebsd-utils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 d2b10958251ecf8e9c9f2abf567d862b 37700 utils important kldutils_8.2+ds2-6_kfreebsd-i386.deb
 4d1de3ade3db592e1609c63819dfff0b 7072 debian-installer optional kldutils-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 d1c487a457e58e1a4c5da4d2e72191fe 123682 utils important kbdcontrol_8.2+ds2-6_kfreebsd-i386.deb
 4ff1ae629e8f4a6fdc7facf2872d4481 122796 utils important vidcontrol_8.2+ds2-6_kfreebsd-i386.deb
 1c43688eb9a82bf38a0524a10ab9b9a3 391042 net important freebsd-net-tools_8.2+ds2-6_kfreebsd-i386.deb
 22a8815d72a2c76066c75ecfc7285e93 77324 debian-installer important freebsd-net-tools-udeb_8.2+ds2-6_kfreebsd-i386.udeb
 092edce7be84404ec5a4202f2a965f22 65382 net optional freebsd-nfs-server_8.2+ds2-6_kfreebsd-i386.deb
 0f8cd082ee1651469bca65cc8fa80c57 76832 net standard freebsd-nfs-common_8.2+ds2-6_kfreebsd-i386.deb
 9b1f4cf1c52967442a70dcbef2f01f2d 159194 admin standard freebsd-geom_8.2+ds2-6_kfreebsd-i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6seDAACgkQC19io6rUCv/HiQCfUK5CiUZcxMSoxWoxmBd5N7xR
O0AAmQGc1k5hL5Hi+A2+gB5Xs/39upxl
=iU5O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Nov 2011 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:49:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.